std::chrono::operator+,std::chrono::operator-(std::chrono::day)(3)

NAME
std::chrono::operator+,std::chrono::operator-(std::chrono::day) - std::chrono::operator+,std::chrono::operator-(std::chrono::day)

Synopsis
   Defined in header <chrono>
   constexpr std::chrono::day operator+( const std::chrono::day& d, (1) (since C++20)
   const std::chrono::days& ds ) noexcept;
   constexpr std::chrono::day operator+( const std::chrono::days& ds, (2) (since C++20)
   const std::chrono::day& d ) noexcept;
   constexpr std::chrono::day operator-( const std::chrono::day& d, (3) (since C++20)
   const std::chrono::days& ds ) noexcept;
   constexpr std::chrono::days operator-( const std::chrono::day& x, (4) (since C++20)
   const std::chrono::day& y ) noexcept;
   1-2) Adds ds.count() days to d.
   3) Subtracts ds.count() days from d.
   4) Calculate the difference, in days, between two day x and y.

Return value
   1-2) std::chrono::day(unsigned(d) + ds.count())
   3) std::chrono::day(unsigned(d) - ds.count())
   4) std::chrono::days(int(unsigned(x)) - int(unsigned(y)))

Notes
   For (1-3), if the result would be outside the range [0, 255], the actual stored
   value is unspecified.

Example
// Run this code
 #include <chrono>
 #include <cassert>
 int main()
 {
     std::chrono::day d {15};
     d = d + std::chrono::days(2);
     assert(d == std::chrono::day(17));
     d = d - std::chrono::days(3);
     assert(d == std::chrono::day(14));
     constexpr std::chrono::days ds = std::chrono::day(16) - std::chrono::day(14);
     static_assert(ds == std::chrono::days(2));
 }

See also
   operator++
   operator++(int) increments or decrements the day
   operator-- (public member function)
   operator--(int)
   operator+= adds or subtracts a number of days
   operator-= (public member function)